import type { SyntheticEvent, ReactNode, ReactElement } from 'react';
type Props = {
    isOpen: boolean;
    onClose?: (event: SyntheticEvent) => void;
    title: string;
    size?: 'm' | 'l' | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 'scale';
    zIndex?: number;
    children: ReactNode;
    labelFlatButton?: string;
    labelSecondary?: string;
    labelPrimary: string;
    isPrimaryButtonDisabled?: boolean;
    displayPrimaryButton?: boolean;
    iconLeftPrimaryButton?: ReactElement;
    onFlatButtonClick?: (event: SyntheticEvent) => void;
    onSecondaryButtonClick?: (event: SyntheticEvent) => void;
    onPrimaryButtonClick: (event: SyntheticEvent) => void;
    dataAttributesSecondaryButton?: {
        [key: string]: string;
    };
    dataAttributesPrimaryButton?: {
        [key: string]: string;
    };
    getParentSelector?: () => HTMLElement;
    iconLeftSecondaryButton?: ReactElement;
    displaySecondaryButton?: boolean;
    displayFlatButton?: boolean;
    iconLeftFlatButton?: ReactElement;
    testid?: string;
    background?: string;
};
declare const FormDialog: {
    (props: Props): import("@emotion/react/jsx-runtime").JSX.Element;
    displayName: string;
    defaultProps: Pick<Props, "labelSecondary" | "labelPrimary" | "displayPrimaryButton">;
};
export default FormDialog;
